drio
Technical OverviewAPI Reference

MCP

Public MCP directory browsing and search.

GET
/api/v3/mcp/servers

Query Parameters

auth?unknown
Default"all"
Value in"all" | "required" | "none"
cursor?string
limit?integer
Default50
Range1 <= value <= 100
package?string
q?string
sort?unknown
Default"updated_desc"
Value in"updated_desc" | "updated_asc" | "name_asc" | "name_desc"
status?string
transport?string

Response Body

application/json

curl -X GET "https://www.getdrio.com/api/v3/mcp/servers"
{
  "items": [
    {
      "slug": "string",
      "name": "string",
      "title": "string",
      "description": "string",
      "icon_url": "string",
      "repository_url": "string",
      "website_url": "string",
      "transports": [
        "string"
      ],
      "package_types": [
        "string"
      ],
      "requires_auth": true,
      "official_status": "string",
      "updated_at": "string"
    }
  ],
  "next_cursor": "string",
  "total_entries": 0,
  "total_matched_entries": 0,
  "facets": {
    "packages": [
      "string"
    ],
    "statuses": [
      "string"
    ],
    "transports": [
      "string"
    ]
  },
  "source": "official-registry",
  "fetched_at": "string"
}
POST
/api/v3/mcp/servers/search

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.getdrio.com/api/v3/mcp/servers/search" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{
  "items": [
    {
      "slug": "string",
      "name": "string",
      "title": "string",
      "description": "string",
      "icon_url": "string",
      "repository_url": "string",
      "website_url": "string",
      "transports": [
        "string"
      ],
      "package_types": [
        "string"
      ],
      "requires_auth": true,
      "official_status": "string",
      "updated_at": "string"
    }
  ],
  "total_matched_entries": 0,
  "facets": {
    "packages": [
      "string"
    ],
    "statuses": [
      "string"
    ],
    "transports": [
      "string"
    ]
  },
  "source": "official-registry",
  "fetched_at": "string"
}
GET
/api/v3/mcp/servers/{slug}

Path Parameters

slug*string

Response Body

application/json

curl -X GET "https://www.getdrio.com/api/v3/mcp/servers/string"
{
  "server": {
    "slug": "string",
    "name": "string",
    "title": "string",
    "description": "string",
    "icon_url": "string",
    "repository_url": "string",
    "website_url": "string",
    "transports": [
      "string"
    ],
    "package_types": [
      "string"
    ],
    "requires_auth": true,
    "official_status": "string",
    "updated_at": "string",
    "version": "string",
    "owner": "string",
    "endpoint_url": "string",
    "remote_urls": [
      "string"
    ],
    "remotes": [
      {
        "type": "string",
        "url": "string",
        "variables": [
          {
            "name": "string",
            "description": "string",
            "default_value": "string",
            "choices": [
              "string"
            ],
            "required": true,
            "secret": true
          }
        ],
        "headers": [
          {
            "name": "string",
            "description": "string",
            "default_value": "string",
            "choices": [
              "string"
            ],
            "required": true,
            "secret": true
          }
        ]
      }
    ],
    "packages": [
      {
        "registry_type": "string",
        "identifier": "string",
        "version": "string",
        "file_sha256": "string",
        "transport_type": "string",
        "package_arguments": [
          {
            "name": "string",
            "description": "string",
            "default_value": "string",
            "choices": [
              "string"
            ],
            "required": true,
            "secret": true
          }
        ],
        "environment_variables": [
          {
            "name": "string",
            "description": "string",
            "default_value": "string",
            "choices": [
              "string"
            ],
            "required": true,
            "secret": true
          }
        ]
      }
    ],
    "install": {
      "command": "string",
      "args": [
        "string"
      ],
      "env": {
        "property1": "string",
        "property2": "string"
      }
    },
    "auth": "string",
    "setup_notes": [
      "string"
    ],
    "canonical_url": "string",
    "source_url": "string",
    "last_imported_at": "string"
  }
}
GET
/api/v3/mcp/servers/{slug}/related

Path Parameters

slug*string

Query Parameters

limit?integer
Default6
Range1 <= value <= 12

Response Body

application/json

curl -X GET "https://www.getdrio.com/api/v3/mcp/servers/string/related"
{
  "items": [
    {
      "slug": "string",
      "name": "string",
      "category": "string",
      "summary": "string"
    }
  ]
}